<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd" >
    
<hibernate-mapping>
<!-- 
    Created by the Middlegen Hibernate plugin 2.1

    http://boss.bekk.no/boss/middlegen/
    http://www.hibernate.org/
-->

<class 
    name="cn.com.xunuo.model.Infofeedback" 
    table="infofeedback"
>
    <meta attribute="class-description" inherit="false">
       @hibernate.class
        table="infofeedback"
    </meta>

    <id
        name="id"
        type="java.lang.String"
        column="id"
        unsaved-value="null"
    >
        <meta attribute="field-description">
           @hibernate.id
            generator-class="uuid.hex"
            type="java.lang.String"
            column="id"

        </meta>
        <generator class="uuid.hex" />
    </id>

    <property
        name="title"
        type="java.lang.String"
        column="title"
        length="255"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="title"
            length="255"
        </meta>    
    </property>

    <property
        name="author"
        type="java.lang.String"
        column="author"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="author"
            length="50"
        </meta>    
    </property>

    <property
        name="parentid"
        type="java.lang.String"
        column="parentid"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="parentid"
            length="50"
        </meta>    
    </property>

    <property
        name="goalid"
        type="java.lang.String"
        column="goalid"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="goalid"
            length="50"
        </meta>    
    </property>

    <property
        name="content"
        type="java.lang.String"
        column="content"
        length="2147483647"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="content"
            length="2147483647"
        </meta>    
    </property>

    <property
        name="createtime"
        type="java.util.Date"
        column="createtime"
        length="23"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="createtime"
            length="23"
        </meta>    
    </property>

    <property
        name="createip"
        type="java.lang.String"
        column="createip"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="createip"
            length="50"
        </meta>    
    </property>

    <property
        name="viewtime"
        type="java.util.Date"
        column="viewtime"
        length="23"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="viewtime"
            length="23"
        </meta>    
    </property>

    <property
        name="viewadminauthor"
        type="java.lang.String"
        column="viewadminauthor"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="viewadminauthor"
            length="50"
        </meta>    
    </property>

    <property
        name="dealtime"
        type="java.util.Date"
        column="dealtime"
        length="23"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="dealtime"
            length="23"
        </meta>    
    </property>

    <property
        name="dealresult"
        type="java.lang.String"
        column="dealresult"
        length="2147483647"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="dealresult"
            length="2147483647"
        </meta>    
    </property>

    <property
        name="dealprocess"
        type="java.lang.String"
        column="dealprocess"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="dealprocess"
            length="50"
        </meta>    
    </property>

    <property
        name="dealadminauthor"
        type="java.lang.String"
        column="dealadminauthor"
        length="50"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="dealadminauthor"
            length="50"
        </meta>    
    </property>

    <property
        name="status"
        type="java.lang.Integer"
        column="status"
        length="4"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="status"
            length="4"
        </meta>    
    </property>


    <!-- Associations -->
  

</class>
</hibernate-mapping>



